Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsServiceSetup/HeuristicLab.Clients.Hive.Slave.SlaveWindowsServiceSetup.vdproj
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsServiceSetup/HeuristicLab.Clients.Hive.Slave.SlaveWindowsServiceSetup.vdproj	(revision 6166)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsServiceSetup/HeuristicLab.Clients.Hive.Slave.SlaveWindowsServiceSetup.vdproj	(revision 6700)
@@ -4,5 +4,5 @@
 "ProjectType" = "8:{978C614F-708E-4E1A-B201-565925725DBA}"
 "IsWebType" = "8:FALSE"
-"ProjectName" = "8:HeuristicLab.Clients.Hive.Slave.SlaveWindowsServiceSetup"
+"ProjectName" = "8:HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup-3.3"
 "LanguageId" = "3:1033"
 "CodePage" = "3:1252"
@@ -16,5 +16,11 @@
         "Entry"
         {
-        "MsmKey" = "8:_24E47E17DD278967DF52D4FAAF0BDF8E"
+        "MsmKey" = "8:_15C9FF5BBCE9998D992676DFF3B8AC5A"
+        "OwnerKey" = "8:_D55482A9C06D0FD47F091098CE6D33F1"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_15C9FF5BBCE9998D992676DFF3B8AC5A"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -22,126 +28,36 @@
         "Entry"
         {
-        "MsmKey" = "8:_272850238FDCDEA481E1B3D85B553311"
-        "OwnerKey" = "8:_58DDAF4938412ABEE7EA25E6AB457636"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_272850238FDCDEA481E1B3D85B553311"
-        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_272850238FDCDEA481E1B3D85B553311"
-        "OwnerKey" = "8:_6D00541468928DA974A217DB6BF00F25"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_272850238FDCDEA481E1B3D85B553311"
-        "OwnerKey" = "8:_5A6F8E0991B74669DD1F316497519F12"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_272850238FDCDEA481E1B3D85B553311"
-        "OwnerKey" = "8:_37D13A01B159AF5DB4823DD6E37A6AE0"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_272850238FDCDEA481E1B3D85B553311"
-        "OwnerKey" = "8:_F9BDFC650CDB583CB65D6F0D81A7BFCF"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2971BCC0B9E449F4799827C76D603B8C"
-        "OwnerKey" = "8:_3022A93FACFB218640DCC6DE954A5D21"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2971BCC0B9E449F4799827C76D603B8C"
-        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2971BCC0B9E449F4799827C76D603B8C"
-        "OwnerKey" = "8:_74F1F8CDD08B4AD8FA557AE29C0C3025"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2971BCC0B9E449F4799827C76D603B8C"
-        "OwnerKey" = "8:_F9BDFC650CDB583CB65D6F0D81A7BFCF"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2971BCC0B9E449F4799827C76D603B8C"
-        "OwnerKey" = "8:_37D13A01B159AF5DB4823DD6E37A6AE0"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2971BCC0B9E449F4799827C76D603B8C"
-        "OwnerKey" = "8:_6D00541468928DA974A217DB6BF00F25"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2971BCC0B9E449F4799827C76D603B8C"
-        "OwnerKey" = "8:_5A6F8E0991B74669DD1F316497519F12"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2971BCC0B9E449F4799827C76D603B8C"
-        "OwnerKey" = "8:_58DDAF4938412ABEE7EA25E6AB457636"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_3022A93FACFB218640DCC6DE954A5D21"
-        "OwnerKey" = "8:_58DDAF4938412ABEE7EA25E6AB457636"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_3022A93FACFB218640DCC6DE954A5D21"
-        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_3022A93FACFB218640DCC6DE954A5D21"
-        "OwnerKey" = "8:_6D00541468928DA974A217DB6BF00F25"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_3022A93FACFB218640DCC6DE954A5D21"
-        "OwnerKey" = "8:_37D13A01B159AF5DB4823DD6E37A6AE0"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_3022A93FACFB218640DCC6DE954A5D21"
-        "OwnerKey" = "8:_F9BDFC650CDB583CB65D6F0D81A7BFCF"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_37D13A01B159AF5DB4823DD6E37A6AE0"
-        "OwnerKey" = "8:_F9BDFC650CDB583CB65D6F0D81A7BFCF"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_37D13A01B159AF5DB4823DD6E37A6AE0"
-        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
+        "MsmKey" = "8:_15C9FF5BBCE9998D992676DFF3B8AC5A"
+        "OwnerKey" = "8:_A491DFF73D7BC7E15F07692F0523CEE0"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_15C9FF5BBCE9998D992676DFF3B8AC5A"
+        "OwnerKey" = "8:_D07206BB146D17B5A2F42666F5F7CB3E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_15C9FF5BBCE9998D992676DFF3B8AC5A"
+        "OwnerKey" = "8:_7DD15704E7301204A06E7A291CB99212"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_15C9FF5BBCE9998D992676DFF3B8AC5A"
+        "OwnerKey" = "8:_AC8D3FE4467BF06BA6373E22F8031C46"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_15C9FF5BBCE9998D992676DFF3B8AC5A"
+        "OwnerKey" = "8:_6D6DF3365FFD45F66756606029A4449E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_15C9FF5BBCE9998D992676DFF3B8AC5A"
+        "OwnerKey" = "8:_62083597615C87650DCFF27B2FA3CFE8"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -154,4 +70,88 @@
         "Entry"
         {
+        "MsmKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
+        "OwnerKey" = "8:_15C9FF5BBCE9998D992676DFF3B8AC5A"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
+        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
+        "OwnerKey" = "8:_A491DFF73D7BC7E15F07692F0523CEE0"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
+        "OwnerKey" = "8:_D07206BB146D17B5A2F42666F5F7CB3E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
+        "OwnerKey" = "8:_7DD15704E7301204A06E7A291CB99212"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
+        "OwnerKey" = "8:_AC8D3FE4467BF06BA6373E22F8031C46"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
+        "OwnerKey" = "8:_90B741837C77E917D13600898BBA9BF3"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
+        "OwnerKey" = "8:_6D6DF3365FFD45F66756606029A4449E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
+        "OwnerKey" = "8:_D55482A9C06D0FD47F091098CE6D33F1"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
+        "OwnerKey" = "8:_ABE7C9C55BD712157D17EDBBC1CC1F2D"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
+        "OwnerKey" = "8:_F3944421726B06A67E359716C7245A8A"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
+        "OwnerKey" = "8:_7138A46D08E7D8EB4F57037B26645530"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
+        "OwnerKey" = "8:_BF3EC40109732B6D8F76CF00970712B3"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
+        "OwnerKey" = "8:_62083597615C87650DCFF27B2FA3CFE8"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
         "MsmKey" = "8:_46A045C9E940444CBA7E67E6E189FB05"
         "OwnerKey" = "8:_UNDEFINED"
@@ -166,11 +166,11 @@
         "Entry"
         {
-        "MsmKey" = "8:_58DDAF4938412ABEE7EA25E6AB457636"
-        "OwnerKey" = "8:_24E47E17DD278967DF52D4FAAF0BDF8E"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_58DDAF4938412ABEE7EA25E6AB457636"
+        "MsmKey" = "8:_62083597615C87650DCFF27B2FA3CFE8"
+        "OwnerKey" = "8:_D55482A9C06D0FD47F091098CE6D33F1"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_62083597615C87650DCFF27B2FA3CFE8"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -178,41 +178,41 @@
         "Entry"
         {
-        "MsmKey" = "8:_58DDAF4938412ABEE7EA25E6AB457636"
-        "OwnerKey" = "8:_74F1F8CDD08B4AD8FA557AE29C0C3025"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_58DDAF4938412ABEE7EA25E6AB457636"
-        "OwnerKey" = "8:_6D00541468928DA974A217DB6BF00F25"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_58DDAF4938412ABEE7EA25E6AB457636"
-        "OwnerKey" = "8:_5A6F8E0991B74669DD1F316497519F12"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_58DDAF4938412ABEE7EA25E6AB457636"
-        "OwnerKey" = "8:_37D13A01B159AF5DB4823DD6E37A6AE0"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_58DDAF4938412ABEE7EA25E6AB457636"
-        "OwnerKey" = "8:_F9BDFC650CDB583CB65D6F0D81A7BFCF"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5A6F8E0991B74669DD1F316497519F12"
-        "OwnerKey" = "8:_37D13A01B159AF5DB4823DD6E37A6AE0"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_5A6F8E0991B74669DD1F316497519F12"
+        "MsmKey" = "8:_62083597615C87650DCFF27B2FA3CFE8"
+        "OwnerKey" = "8:_A491DFF73D7BC7E15F07692F0523CEE0"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_62083597615C87650DCFF27B2FA3CFE8"
+        "OwnerKey" = "8:_D07206BB146D17B5A2F42666F5F7CB3E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_62083597615C87650DCFF27B2FA3CFE8"
+        "OwnerKey" = "8:_7DD15704E7301204A06E7A291CB99212"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_62083597615C87650DCFF27B2FA3CFE8"
+        "OwnerKey" = "8:_AC8D3FE4467BF06BA6373E22F8031C46"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_62083597615C87650DCFF27B2FA3CFE8"
+        "OwnerKey" = "8:_6D6DF3365FFD45F66756606029A4449E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_6D6DF3365FFD45F66756606029A4449E"
+        "OwnerKey" = "8:_D55482A9C06D0FD47F091098CE6D33F1"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_6D6DF3365FFD45F66756606029A4449E"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -220,11 +220,11 @@
         "Entry"
         {
-        "MsmKey" = "8:_6D00541468928DA974A217DB6BF00F25"
-        "OwnerKey" = "8:_37D13A01B159AF5DB4823DD6E37A6AE0"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_6D00541468928DA974A217DB6BF00F25"
+        "MsmKey" = "8:_71242C665F3EFD4EF0EF4B9166274CC4"
+        "OwnerKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_71242C665F3EFD4EF0EF4B9166274CC4"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -232,11 +232,17 @@
         "Entry"
         {
-        "MsmKey" = "8:_74F1F8CDD08B4AD8FA557AE29C0C3025"
-        "OwnerKey" = "8:_F9BDFC650CDB583CB65D6F0D81A7BFCF"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_74F1F8CDD08B4AD8FA557AE29C0C3025"
+        "MsmKey" = "8:_71242C665F3EFD4EF0EF4B9166274CC4"
+        "OwnerKey" = "8:_7138A46D08E7D8EB4F57037B26645530"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_7138A46D08E7D8EB4F57037B26645530"
+        "OwnerKey" = "8:_BF3EC40109732B6D8F76CF00970712B3"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_7138A46D08E7D8EB4F57037B26645530"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -244,17 +250,41 @@
         "Entry"
         {
-        "MsmKey" = "8:_74F1F8CDD08B4AD8FA557AE29C0C3025"
-        "OwnerKey" = "8:_24E47E17DD278967DF52D4FAAF0BDF8E"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_9D31E213A008CF8F0724B01ECC495D4F"
-        "OwnerKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_9D31E213A008CF8F0724B01ECC495D4F"
+        "MsmKey" = "8:_7138A46D08E7D8EB4F57037B26645530"
+        "OwnerKey" = "8:_6D6DF3365FFD45F66756606029A4449E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_7138A46D08E7D8EB4F57037B26645530"
+        "OwnerKey" = "8:_AC8D3FE4467BF06BA6373E22F8031C46"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_7138A46D08E7D8EB4F57037B26645530"
+        "OwnerKey" = "8:_D07206BB146D17B5A2F42666F5F7CB3E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_7138A46D08E7D8EB4F57037B26645530"
+        "OwnerKey" = "8:_7DD15704E7301204A06E7A291CB99212"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_7138A46D08E7D8EB4F57037B26645530"
+        "OwnerKey" = "8:_62083597615C87650DCFF27B2FA3CFE8"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_7DD15704E7301204A06E7A291CB99212"
+        "OwnerKey" = "8:_AC8D3FE4467BF06BA6373E22F8031C46"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_7DD15704E7301204A06E7A291CB99212"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -262,17 +292,11 @@
         "Entry"
         {
-        "MsmKey" = "8:_9D31E213A008CF8F0724B01ECC495D4F"
-        "OwnerKey" = "8:_2971BCC0B9E449F4799827C76D603B8C"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-        "OwnerKey" = "8:_FFE367B35E110114AEC403809AB58A3C"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
+        "MsmKey" = "8:_90B741837C77E917D13600898BBA9BF3"
+        "OwnerKey" = "8:_6D6DF3365FFD45F66756606029A4449E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_90B741837C77E917D13600898BBA9BF3"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -280,83 +304,113 @@
         "Entry"
         {
-        "MsmKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-        "OwnerKey" = "8:_74F1F8CDD08B4AD8FA557AE29C0C3025"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-        "OwnerKey" = "8:_6D00541468928DA974A217DB6BF00F25"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-        "OwnerKey" = "8:_5A6F8E0991B74669DD1F316497519F12"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-        "OwnerKey" = "8:_37D13A01B159AF5DB4823DD6E37A6AE0"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-        "OwnerKey" = "8:_C1A37972BCF8B069069A0AF633DA1B67"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-        "OwnerKey" = "8:_F9BDFC650CDB583CB65D6F0D81A7BFCF"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-        "OwnerKey" = "8:_24E47E17DD278967DF52D4FAAF0BDF8E"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-        "OwnerKey" = "8:_272850238FDCDEA481E1B3D85B553311"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-        "OwnerKey" = "8:_EC3DCA757291A7DAD3520E8CE9C96040"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-        "OwnerKey" = "8:_2971BCC0B9E449F4799827C76D603B8C"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-        "OwnerKey" = "8:_3022A93FACFB218640DCC6DE954A5D21"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-        "OwnerKey" = "8:_58DDAF4938412ABEE7EA25E6AB457636"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_C1A37972BCF8B069069A0AF633DA1B67"
-        "OwnerKey" = "8:_F9BDFC650CDB583CB65D6F0D81A7BFCF"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_C1A37972BCF8B069069A0AF633DA1B67"
+        "MsmKey" = "8:_A491DFF73D7BC7E15F07692F0523CEE0"
+        "OwnerKey" = "8:_6D6DF3365FFD45F66756606029A4449E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_A491DFF73D7BC7E15F07692F0523CEE0"
+        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_A491DFF73D7BC7E15F07692F0523CEE0"
+        "OwnerKey" = "8:_D55482A9C06D0FD47F091098CE6D33F1"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_ABE7C9C55BD712157D17EDBBC1CC1F2D"
+        "OwnerKey" = "8:_62083597615C87650DCFF27B2FA3CFE8"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_ABE7C9C55BD712157D17EDBBC1CC1F2D"
+        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_ABE7C9C55BD712157D17EDBBC1CC1F2D"
+        "OwnerKey" = "8:_D07206BB146D17B5A2F42666F5F7CB3E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_ABE7C9C55BD712157D17EDBBC1CC1F2D"
+        "OwnerKey" = "8:_7DD15704E7301204A06E7A291CB99212"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_ABE7C9C55BD712157D17EDBBC1CC1F2D"
+        "OwnerKey" = "8:_AC8D3FE4467BF06BA6373E22F8031C46"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_ABE7C9C55BD712157D17EDBBC1CC1F2D"
+        "OwnerKey" = "8:_6D6DF3365FFD45F66756606029A4449E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_AC8D3FE4467BF06BA6373E22F8031C46"
+        "OwnerKey" = "8:_6D6DF3365FFD45F66756606029A4449E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_AC8D3FE4467BF06BA6373E22F8031C46"
+        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_BF3EC40109732B6D8F76CF00970712B3"
+        "OwnerKey" = "8:_62083597615C87650DCFF27B2FA3CFE8"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_BF3EC40109732B6D8F76CF00970712B3"
+        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_BF3EC40109732B6D8F76CF00970712B3"
+        "OwnerKey" = "8:_D07206BB146D17B5A2F42666F5F7CB3E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_BF3EC40109732B6D8F76CF00970712B3"
+        "OwnerKey" = "8:_AC8D3FE4467BF06BA6373E22F8031C46"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_BF3EC40109732B6D8F76CF00970712B3"
+        "OwnerKey" = "8:_6D6DF3365FFD45F66756606029A4449E"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_D07206BB146D17B5A2F42666F5F7CB3E"
+        "OwnerKey" = "8:_AC8D3FE4467BF06BA6373E22F8031C46"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_D07206BB146D17B5A2F42666F5F7CB3E"
+        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_D55482A9C06D0FD47F091098CE6D33F1"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -370,72 +424,12 @@
         "Entry"
         {
-        "MsmKey" = "8:_EC3DCA757291A7DAD3520E8CE9C96040"
-        "OwnerKey" = "8:_2971BCC0B9E449F4799827C76D603B8C"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_EC3DCA757291A7DAD3520E8CE9C96040"
+        "MsmKey" = "8:_F3944421726B06A67E359716C7245A8A"
+        "OwnerKey" = "8:_7138A46D08E7D8EB4F57037B26645530"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_F3944421726B06A67E359716C7245A8A"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_F9BDFC650CDB583CB65D6F0D81A7BFCF"
-        "OwnerKey" = "8:_24E47E17DD278967DF52D4FAAF0BDF8E"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_F9BDFC650CDB583CB65D6F0D81A7BFCF"
-        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_FFE367B35E110114AEC403809AB58A3C"
-        "OwnerKey" = "8:_24E47E17DD278967DF52D4FAAF0BDF8E"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_FFE367B35E110114AEC403809AB58A3C"
-        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_FFE367B35E110114AEC403809AB58A3C"
-        "OwnerKey" = "8:_74F1F8CDD08B4AD8FA557AE29C0C3025"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_FFE367B35E110114AEC403809AB58A3C"
-        "OwnerKey" = "8:_6D00541468928DA974A217DB6BF00F25"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_FFE367B35E110114AEC403809AB58A3C"
-        "OwnerKey" = "8:_5A6F8E0991B74669DD1F316497519F12"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_FFE367B35E110114AEC403809AB58A3C"
-        "OwnerKey" = "8:_37D13A01B159AF5DB4823DD6E37A6AE0"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_FFE367B35E110114AEC403809AB58A3C"
-        "OwnerKey" = "8:_F9BDFC650CDB583CB65D6F0D81A7BFCF"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_FFE367B35E110114AEC403809AB58A3C"
-        "OwnerKey" = "8:_58DDAF4938412ABEE7EA25E6AB457636"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -449,5 +443,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_24E47E17DD278967DF52D4FAAF0BDF8E"
+        "OwnerKey" = "8:_D55482A9C06D0FD47F091098CE6D33F1"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -455,5 +449,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_F9BDFC650CDB583CB65D6F0D81A7BFCF"
+        "OwnerKey" = "8:_6D6DF3365FFD45F66756606029A4449E"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -461,5 +455,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_74F1F8CDD08B4AD8FA557AE29C0C3025"
+        "OwnerKey" = "8:_A491DFF73D7BC7E15F07692F0523CEE0"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -467,5 +461,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_37D13A01B159AF5DB4823DD6E37A6AE0"
+        "OwnerKey" = "8:_AC8D3FE4467BF06BA6373E22F8031C46"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -473,5 +467,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_6D00541468928DA974A217DB6BF00F25"
+        "OwnerKey" = "8:_D07206BB146D17B5A2F42666F5F7CB3E"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -479,5 +473,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_5A6F8E0991B74669DD1F316497519F12"
+        "OwnerKey" = "8:_7DD15704E7301204A06E7A291CB99212"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -485,5 +479,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_C1A37972BCF8B069069A0AF633DA1B67"
+        "OwnerKey" = "8:_90B741837C77E917D13600898BBA9BF3"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -491,5 +485,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_58DDAF4938412ABEE7EA25E6AB457636"
+        "OwnerKey" = "8:_62083597615C87650DCFF27B2FA3CFE8"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -497,5 +491,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_272850238FDCDEA481E1B3D85B553311"
+        "OwnerKey" = "8:_ABE7C9C55BD712157D17EDBBC1CC1F2D"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -503,5 +497,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_3022A93FACFB218640DCC6DE954A5D21"
+        "OwnerKey" = "8:_BF3EC40109732B6D8F76CF00970712B3"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -509,5 +503,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_2971BCC0B9E449F4799827C76D603B8C"
+        "OwnerKey" = "8:_7138A46D08E7D8EB4F57037B26645530"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -515,5 +509,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_EC3DCA757291A7DAD3520E8CE9C96040"
+        "OwnerKey" = "8:_F3944421726B06A67E359716C7245A8A"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -521,5 +515,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_FFE367B35E110114AEC403809AB58A3C"
+        "OwnerKey" = "8:_15C9FF5BBCE9998D992676DFF3B8AC5A"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -527,5 +521,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
+        "OwnerKey" = "8:_4575EE6C7104EF65D8F821B7DA03E15D"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -533,5 +527,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_9D31E213A008CF8F0724B01ECC495D4F"
+        "OwnerKey" = "8:_71242C665F3EFD4EF0EF4B9166274CC4"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -697,18 +691,18 @@
         "File"
         {
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_24E47E17DD278967DF52D4FAAF0BDF8E"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_15C9FF5BBCE9998D992676DFF3B8AC5A"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Clients.Hive.SlaveCore-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_24E47E17DD278967DF52D4FAAF0BDF8E"
-                    {
-                    "Name" = "8:HeuristicLab.Clients.Hive.SlaveCore-3.4.dll"
+                    "_15C9FF5BBCE9998D992676DFF3B8AC5A"
+                    {
+                    "Name" = "8:HeuristicLab.Common-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Clients.Hive.SlaveCore-3.4.dll"
+            "SourcePath" = "8:HeuristicLab.Common-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -728,18 +722,18 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_272850238FDCDEA481E1B3D85B553311"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_4575EE6C7104EF65D8F821B7DA03E15D"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Common.Resources-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.PluginInfrastructure-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_272850238FDCDEA481E1B3D85B553311"
-                    {
-                    "Name" = "8:HeuristicLab.Common.Resources-3.3.dll"
+                    "_4575EE6C7104EF65D8F821B7DA03E15D"
+                    {
+                    "Name" = "8:HeuristicLab.PluginInfrastructure-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Common.Resources-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.PluginInfrastructure-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -759,18 +753,58 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_2971BCC0B9E449F4799827C76D603B8C"
+            "{1FB2D0AE-D3B9-43D4-B9DD-F88EC61E35DE}:_46A045C9E940444CBA7E67E6E189FB05"
+            {
+            "SourcePath" = "8:HeuristicLab.ico"
+            "TargetName" = "8:HeuristicLab.ico"
+            "Tag" = "8:"
+            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
+            "Condition" = "8:"
+            "Transitive" = "11:FALSE"
+            "Vital" = "11:TRUE"
+            "ReadOnly" = "11:FALSE"
+            "Hidden" = "11:FALSE"
+            "System" = "11:FALSE"
+            "Permanent" = "11:FALSE"
+            "SharedLegacy" = "11:FALSE"
+            "PackageAs" = "3:1"
+            "Register" = "3:1"
+            "Exclude" = "11:FALSE"
+            "IsDependency" = "11:FALSE"
+            "IsolateTo" = "8:"
+            }
+            "{1FB2D0AE-D3B9-43D4-B9DD-F88EC61E35DE}:_51F630C66E53455185E4E2125EB0AA02"
+            {
+            "SourcePath" = "8:hl_logo.jpg"
+            "TargetName" = "8:hl_logo.jpg"
+            "Tag" = "8:"
+            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
+            "Condition" = "8:"
+            "Transitive" = "11:FALSE"
+            "Vital" = "11:TRUE"
+            "ReadOnly" = "11:FALSE"
+            "Hidden" = "11:FALSE"
+            "System" = "11:FALSE"
+            "Permanent" = "11:FALSE"
+            "SharedLegacy" = "11:FALSE"
+            "PackageAs" = "3:1"
+            "Register" = "3:1"
+            "Exclude" = "11:FALSE"
+            "IsDependency" = "11:FALSE"
+            "IsolateTo" = "8:"
+            }
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_62083597615C87650DCFF27B2FA3CFE8"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Persistence-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Core-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_2971BCC0B9E449F4799827C76D603B8C"
-                    {
-                    "Name" = "8:HeuristicLab.Persistence-3.3.dll"
+                    "_62083597615C87650DCFF27B2FA3CFE8"
+                    {
+                    "Name" = "8:HeuristicLab.Core-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Persistence-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.Core-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -790,18 +824,18 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_3022A93FACFB218640DCC6DE954A5D21"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_6D6DF3365FFD45F66756606029A4449E"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Collections-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Clients.Hive-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_3022A93FACFB218640DCC6DE954A5D21"
-                    {
-                    "Name" = "8:HeuristicLab.Collections-3.3.dll"
+                    "_6D6DF3365FFD45F66756606029A4449E"
+                    {
+                    "Name" = "8:HeuristicLab.Clients.Hive-3.4.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Collections-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.Clients.Hive-3.4.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -821,18 +855,18 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_37D13A01B159AF5DB4823DD6E37A6AE0"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_71242C665F3EFD4EF0EF4B9166274CC4"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Optimization-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:ICSharpCode.SharpZipLib, Version=0.85.4.369, Culture=neutral, PublicKeyToken=1b03e6acf1164f73, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_37D13A01B159AF5DB4823DD6E37A6AE0"
-                    {
-                    "Name" = "8:HeuristicLab.Optimization-3.3.dll"
+                    "_71242C665F3EFD4EF0EF4B9166274CC4"
+                    {
+                    "Name" = "8:ICSharpCode.SharpZipLib.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Optimization-3.3.dll"
+            "SourcePath" = "8:ICSharpCode.SharpZipLib.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -852,8 +886,287 @@
             "IsolateTo" = "8:"
             }
-            "{1FB2D0AE-D3B9-43D4-B9DD-F88EC61E35DE}:_46A045C9E940444CBA7E67E6E189FB05"
-            {
-            "SourcePath" = "8:HeuristicLab.ico"
-            "TargetName" = "8:HeuristicLab.ico"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_7138A46D08E7D8EB4F57037B26645530"
+            {
+            "AssemblyRegister" = "3:1"
+            "AssemblyIsInGAC" = "11:FALSE"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Persistence-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+                "ScatterAssemblies"
+                {
+                    "_7138A46D08E7D8EB4F57037B26645530"
+                    {
+                    "Name" = "8:HeuristicLab.Persistence-3.3.dll"
+                    "Attributes" = "3:512"
+                    }
+                }
+            "SourcePath" = "8:HeuristicLab.Persistence-3.3.dll"
+            "TargetName" = "8:"
+            "Tag" = "8:"
+            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
+            "Condition" = "8:"
+            "Transitive" = "11:FALSE"
+            "Vital" = "11:TRUE"
+            "ReadOnly" = "11:FALSE"
+            "Hidden" = "11:FALSE"
+            "System" = "11:FALSE"
+            "Permanent" = "11:FALSE"
+            "SharedLegacy" = "11:FALSE"
+            "PackageAs" = "3:1"
+            "Register" = "3:1"
+            "Exclude" = "11:FALSE"
+            "IsDependency" = "11:TRUE"
+            "IsolateTo" = "8:"
+            }
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_7DD15704E7301204A06E7A291CB99212"
+            {
+            "AssemblyRegister" = "3:1"
+            "AssemblyIsInGAC" = "11:FALSE"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Data-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+                "ScatterAssemblies"
+                {
+                    "_7DD15704E7301204A06E7A291CB99212"
+                    {
+                    "Name" = "8:HeuristicLab.Data-3.3.dll"
+                    "Attributes" = "3:512"
+                    }
+                }
+            "SourcePath" = "8:HeuristicLab.Data-3.3.dll"
+            "TargetName" = "8:"
+            "Tag" = "8:"
+            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
+            "Condition" = "8:"
+            "Transitive" = "11:FALSE"
+            "Vital" = "11:TRUE"
+            "ReadOnly" = "11:FALSE"
+            "Hidden" = "11:FALSE"
+            "System" = "11:FALSE"
+            "Permanent" = "11:FALSE"
+            "SharedLegacy" = "11:FALSE"
+            "PackageAs" = "3:1"
+            "Register" = "3:1"
+            "Exclude" = "11:FALSE"
+            "IsDependency" = "11:TRUE"
+            "IsolateTo" = "8:"
+            }
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_90B741837C77E917D13600898BBA9BF3"
+            {
+            "AssemblyRegister" = "3:1"
+            "AssemblyIsInGAC" = "11:FALSE"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Clients.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+                "ScatterAssemblies"
+                {
+                    "_90B741837C77E917D13600898BBA9BF3"
+                    {
+                    "Name" = "8:HeuristicLab.Clients.Common-3.3.dll"
+                    "Attributes" = "3:512"
+                    }
+                }
+            "SourcePath" = "8:HeuristicLab.Clients.Common-3.3.dll"
+            "TargetName" = "8:"
+            "Tag" = "8:"
+            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
+            "Condition" = "8:"
+            "Transitive" = "11:FALSE"
+            "Vital" = "11:TRUE"
+            "ReadOnly" = "11:FALSE"
+            "Hidden" = "11:FALSE"
+            "System" = "11:FALSE"
+            "Permanent" = "11:FALSE"
+            "SharedLegacy" = "11:FALSE"
+            "PackageAs" = "3:1"
+            "Register" = "3:1"
+            "Exclude" = "11:FALSE"
+            "IsDependency" = "11:TRUE"
+            "IsolateTo" = "8:"
+            }
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_A491DFF73D7BC7E15F07692F0523CEE0"
+            {
+            "AssemblyRegister" = "3:1"
+            "AssemblyIsInGAC" = "11:FALSE"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Hive-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+                "ScatterAssemblies"
+                {
+                    "_A491DFF73D7BC7E15F07692F0523CEE0"
+                    {
+                    "Name" = "8:HeuristicLab.Hive-3.4.dll"
+                    "Attributes" = "3:512"
+                    }
+                }
+            "SourcePath" = "8:HeuristicLab.Hive-3.4.dll"
+            "TargetName" = "8:"
+            "Tag" = "8:"
+            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
+            "Condition" = "8:"
+            "Transitive" = "11:FALSE"
+            "Vital" = "11:TRUE"
+            "ReadOnly" = "11:FALSE"
+            "Hidden" = "11:FALSE"
+            "System" = "11:FALSE"
+            "Permanent" = "11:FALSE"
+            "SharedLegacy" = "11:FALSE"
+            "PackageAs" = "3:1"
+            "Register" = "3:1"
+            "Exclude" = "11:FALSE"
+            "IsDependency" = "11:TRUE"
+            "IsolateTo" = "8:"
+            }
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_ABE7C9C55BD712157D17EDBBC1CC1F2D"
+            {
+            "AssemblyRegister" = "3:1"
+            "AssemblyIsInGAC" = "11:FALSE"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Common.Resources-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+                "ScatterAssemblies"
+                {
+                    "_ABE7C9C55BD712157D17EDBBC1CC1F2D"
+                    {
+                    "Name" = "8:HeuristicLab.Common.Resources-3.3.dll"
+                    "Attributes" = "3:512"
+                    }
+                }
+            "SourcePath" = "8:HeuristicLab.Common.Resources-3.3.dll"
+            "TargetName" = "8:"
+            "Tag" = "8:"
+            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
+            "Condition" = "8:"
+            "Transitive" = "11:FALSE"
+            "Vital" = "11:TRUE"
+            "ReadOnly" = "11:FALSE"
+            "Hidden" = "11:FALSE"
+            "System" = "11:FALSE"
+            "Permanent" = "11:FALSE"
+            "SharedLegacy" = "11:FALSE"
+            "PackageAs" = "3:1"
+            "Register" = "3:1"
+            "Exclude" = "11:FALSE"
+            "IsDependency" = "11:TRUE"
+            "IsolateTo" = "8:"
+            }
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_AC8D3FE4467BF06BA6373E22F8031C46"
+            {
+            "AssemblyRegister" = "3:1"
+            "AssemblyIsInGAC" = "11:FALSE"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Optimization-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+                "ScatterAssemblies"
+                {
+                    "_AC8D3FE4467BF06BA6373E22F8031C46"
+                    {
+                    "Name" = "8:HeuristicLab.Optimization-3.3.dll"
+                    "Attributes" = "3:512"
+                    }
+                }
+            "SourcePath" = "8:HeuristicLab.Optimization-3.3.dll"
+            "TargetName" = "8:"
+            "Tag" = "8:"
+            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
+            "Condition" = "8:"
+            "Transitive" = "11:FALSE"
+            "Vital" = "11:TRUE"
+            "ReadOnly" = "11:FALSE"
+            "Hidden" = "11:FALSE"
+            "System" = "11:FALSE"
+            "Permanent" = "11:FALSE"
+            "SharedLegacy" = "11:FALSE"
+            "PackageAs" = "3:1"
+            "Register" = "3:1"
+            "Exclude" = "11:FALSE"
+            "IsDependency" = "11:TRUE"
+            "IsolateTo" = "8:"
+            }
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_BF3EC40109732B6D8F76CF00970712B3"
+            {
+            "AssemblyRegister" = "3:1"
+            "AssemblyIsInGAC" = "11:FALSE"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Collections-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+                "ScatterAssemblies"
+                {
+                    "_BF3EC40109732B6D8F76CF00970712B3"
+                    {
+                    "Name" = "8:HeuristicLab.Collections-3.3.dll"
+                    "Attributes" = "3:512"
+                    }
+                }
+            "SourcePath" = "8:HeuristicLab.Collections-3.3.dll"
+            "TargetName" = "8:"
+            "Tag" = "8:"
+            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
+            "Condition" = "8:"
+            "Transitive" = "11:FALSE"
+            "Vital" = "11:TRUE"
+            "ReadOnly" = "11:FALSE"
+            "Hidden" = "11:FALSE"
+            "System" = "11:FALSE"
+            "Permanent" = "11:FALSE"
+            "SharedLegacy" = "11:FALSE"
+            "PackageAs" = "3:1"
+            "Register" = "3:1"
+            "Exclude" = "11:FALSE"
+            "IsDependency" = "11:TRUE"
+            "IsolateTo" = "8:"
+            }
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_D07206BB146D17B5A2F42666F5F7CB3E"
+            {
+            "AssemblyRegister" = "3:1"
+            "AssemblyIsInGAC" = "11:FALSE"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Parameters-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+                "ScatterAssemblies"
+                {
+                    "_D07206BB146D17B5A2F42666F5F7CB3E"
+                    {
+                    "Name" = "8:HeuristicLab.Parameters-3.3.dll"
+                    "Attributes" = "3:512"
+                    }
+                }
+            "SourcePath" = "8:HeuristicLab.Parameters-3.3.dll"
+            "TargetName" = "8:"
+            "Tag" = "8:"
+            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
+            "Condition" = "8:"
+            "Transitive" = "11:FALSE"
+            "Vital" = "11:TRUE"
+            "ReadOnly" = "11:FALSE"
+            "Hidden" = "11:FALSE"
+            "System" = "11:FALSE"
+            "Permanent" = "11:FALSE"
+            "SharedLegacy" = "11:FALSE"
+            "PackageAs" = "3:1"
+            "Register" = "3:1"
+            "Exclude" = "11:FALSE"
+            "IsDependency" = "11:TRUE"
+            "IsolateTo" = "8:"
+            }
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_D55482A9C06D0FD47F091098CE6D33F1"
+            {
+            "AssemblyRegister" = "3:1"
+            "AssemblyIsInGAC" = "11:FALSE"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Clients.Hive.SlaveCore-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+                "ScatterAssemblies"
+                {
+                    "_D55482A9C06D0FD47F091098CE6D33F1"
+                    {
+                    "Name" = "8:HeuristicLab.Clients.Hive.SlaveCore-3.4.dll"
+                    "Attributes" = "3:512"
+                    }
+                }
+            "SourcePath" = "8:HeuristicLab.Clients.Hive.SlaveCore-3.4.dll"
+            "TargetName" = "8:"
+            "Tag" = "8:"
+            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
+            "Condition" = "8:"
+            "Transitive" = "11:FALSE"
+            "Vital" = "11:TRUE"
+            "ReadOnly" = "11:FALSE"
+            "Hidden" = "11:FALSE"
+            "System" = "11:FALSE"
+            "Permanent" = "11:FALSE"
+            "SharedLegacy" = "11:FALSE"
+            "PackageAs" = "3:1"
+            "Register" = "3:1"
+            "Exclude" = "11:FALSE"
+            "IsDependency" = "11:TRUE"
+            "IsolateTo" = "8:"
+            }
+            "{1FB2D0AE-D3B9-43D4-B9DD-F88EC61E35DE}:_E88A042DD85F4301A05BDF0A3368623E"
+            {
+            "SourcePath" = "8:..\\HeuristicLab.Clients.Hive.Slave\\3.4\\ICSharpCode.SharpZipLib License.txt"
+            "TargetName" = "8:ICSharpCode.SharpZipLib License.txt"
             "Tag" = "8:"
             "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
@@ -872,262 +1185,5 @@
             "IsolateTo" = "8:"
             }
-            "{1FB2D0AE-D3B9-43D4-B9DD-F88EC61E35DE}:_51F630C66E53455185E4E2125EB0AA02"
-            {
-            "SourcePath" = "8:hl_logo.jpg"
-            "TargetName" = "8:hl_logo.jpg"
-            "Tag" = "8:"
-            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:FALSE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_58DDAF4938412ABEE7EA25E6AB457636"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Core-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_58DDAF4938412ABEE7EA25E6AB457636"
-                    {
-                    "Name" = "8:HeuristicLab.Core-3.3.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:HeuristicLab.Core-3.3.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_5A6F8E0991B74669DD1F316497519F12"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Data-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_5A6F8E0991B74669DD1F316497519F12"
-                    {
-                    "Name" = "8:HeuristicLab.Data-3.3.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:HeuristicLab.Data-3.3.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_6D00541468928DA974A217DB6BF00F25"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Parameters-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_6D00541468928DA974A217DB6BF00F25"
-                    {
-                    "Name" = "8:HeuristicLab.Parameters-3.3.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:HeuristicLab.Parameters-3.3.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_74F1F8CDD08B4AD8FA557AE29C0C3025"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Hive-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_74F1F8CDD08B4AD8FA557AE29C0C3025"
-                    {
-                    "Name" = "8:HeuristicLab.Hive-3.4.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:HeuristicLab.Hive-3.4.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_9D31E213A008CF8F0724B01ECC495D4F"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:ICSharpCode.SharpZipLib, Version=0.85.4.369, Culture=neutral, PublicKeyToken=1b03e6acf1164f73, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_9D31E213A008CF8F0724B01ECC495D4F"
-                    {
-                    "Name" = "8:ICSharpCode.SharpZipLib.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:ICSharpCode.SharpZipLib.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.PluginInfrastructure-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_BB5C37E07BACC3F4FEDFB3A5075BBF2A"
-                    {
-                    "Name" = "8:HeuristicLab.PluginInfrastructure-3.3.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:HeuristicLab.PluginInfrastructure-3.3.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_C1A37972BCF8B069069A0AF633DA1B67"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Clients.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_C1A37972BCF8B069069A0AF633DA1B67"
-                    {
-                    "Name" = "8:HeuristicLab.Clients.Common-3.3.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:HeuristicLab.Clients.Common-3.3.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{1FB2D0AE-D3B9-43D4-B9DD-F88EC61E35DE}:_E88A042DD85F4301A05BDF0A3368623E"
-            {
-            "SourcePath" = "8:..\\HeuristicLab.Clients.Hive.Slave\\3.4\\ICSharpCode.SharpZipLib License.txt"
-            "TargetName" = "8:ICSharpCode.SharpZipLib License.txt"
-            "Tag" = "8:"
-            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:FALSE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_EC3DCA757291A7DAD3520E8CE9C96040"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_F3944421726B06A67E359716C7245A8A"
             {
             "AssemblyRegister" = "3:1"
@@ -1136,5 +1192,5 @@
                 "ScatterAssemblies"
                 {
-                    "_EC3DCA757291A7DAD3520E8CE9C96040"
+                    "_F3944421726B06A67E359716C7245A8A"
                     {
                     "Name" = "8:HeuristicLab.Tracing-3.3.dll"
@@ -1143,66 +1199,4 @@
                 }
             "SourcePath" = "8:HeuristicLab.Tracing-3.3.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_F9BDFC650CDB583CB65D6F0D81A7BFCF"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Clients.Hive-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_F9BDFC650CDB583CB65D6F0D81A7BFCF"
-                    {
-                    "Name" = "8:HeuristicLab.Clients.Hive-3.4.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:HeuristicLab.Clients.Hive-3.4.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_FFE367B35E110114AEC403809AB58A3C"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_FFE367B35E110114AEC403809AB58A3C"
-                    {
-                    "Name" = "8:HeuristicLab.Common-3.3.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:HeuristicLab.Common-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -1810,5 +1804,5 @@
             "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_3C881D08A42747949E7F0009E1EB3D51"
             {
-            "SourcePath" = "8:..\\HeuristicLab.Clients.Hive.Slave.SlaveWindowsService\\obj\\x86\\Debug\\HeuristicLab.Clients.Hive.Slave.SlaveWindowsService.exe"
+            "SourcePath" = "8:..\\HeuristicLab.Clients.Hive.Slave.SlaveWindowsService\\obj\\Debug\\HeuristicLab.Clients.Hive.Slave.SlaveWindowsService.exe"
             "TargetName" = "8:"
             "Tag" = "8:"
